
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef rmp400_ERROR_H
#define rmp400_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_rmp400    (9001)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_rmp400_TRACKING_ON          H2_ENCODE_ERR(M_rmp400    , 1)
#define S_rmp400_BAD_CMD_PARAMETERS   H2_ENCODE_ERR(M_rmp400    , 2)
#define S_rmp400_CANNOT_WRITE_FILE    H2_ENCODE_ERR(M_rmp400    , 3)
#define S_rmp400_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_rmp400    , 4)
#define S_rmp400_CANNOT_READ_POSTER   H2_ENCODE_ERR(M_rmp400    , 5)
#define S_rmp400_GYRO_ERROR           H2_ENCODE_ERR(M_rmp400    , 6)
#define S_rmp400_CMD_STOP_TRACK       H2_ENCODE_ERR(M_rmp400    , 7)
#define S_rmp400_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_rmp400    , 8)
#define S_rmp400_JOYSTICK_ERROR       H2_ENCODE_ERR(M_rmp400    , 9)
#define S_rmp400_RMP_LIB_ERROR        H2_ENCODE_ERR(M_rmp400    , 10)
#define S_rmp400_BAD_REF              H2_ENCODE_ERR(M_rmp400    , 11)
#define S_rmp400_EMERGENCY_ERROR      H2_ENCODE_ERR(M_rmp400    , 12)
#define S_rmp400_MOTORS_OFF           H2_ENCODE_ERR(M_rmp400    , 13)
#define S_rmp400_READ_TASK_ERROR      H2_ENCODE_ERR(M_rmp400    , 14)
#define S_rmp400_RMPLIB_ERROR         H2_ENCODE_ERR(M_rmp400    , 15)
#define S_rmp400_EMERGENCY_STOP       H2_ENCODE_ERR(M_rmp400    , 16)


/* std errors */
#define S_rmp400_stdGenoM_ACTIVITY_INTERRUPTED       589947905   /* 9001<<16 | 0x8000 | 100<<8 | 1 */
#define S_rmp400_stdGenoM_TOO_MANY_ACTIVITIES        589947906   /* 9001<<16 | 0x8000 | 100<<8 | 2 */
#define S_rmp400_stdGenoM_ACTIVITY_FAILED            589947907   /* 9001<<16 | 0x8000 | 100<<8 | 3 */
#define S_rmp400_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 589947908   /* 9001<<16 | 0x8000 | 100<<8 | 4 */
#define S_rmp400_stdGenoM_UNKNOWN_ACTIVITY           589947909   /* 9001<<16 | 0x8000 | 100<<8 | 5 */
#define S_rmp400_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 589947910   /* 9001<<16 | 0x8000 | 100<<8 | 6 */
#define S_rmp400_stdGenoM_SYSTEM_ERROR               589947911   /* 9001<<16 | 0x8000 | 100<<8 | 7 */
#define S_rmp400_stdGenoM_ACTIVITY_ALREADY_ENDED     589947912   /* 9001<<16 | 0x8000 | 100<<8 | 8 */
#define S_rmp400_stdGenoM_WAIT_INIT_RQST             589947913   /* 9001<<16 | 0x8000 | 100<<8 | 9 */
#define S_rmp400_stdGenoM_CONTROL_CODEL_ERROR        589947914   /* 9001<<16 | 0x8000 | 100<<8 | 10 */
#define S_rmp400_stdGenoM_EXEC_TASK_SUSPENDED        589947915   /* 9001<<16 | 0x8000 | 100<<8 | 11 */
#define S_rmp400_stdGenoM_BAD_BLOCK_TYPE             589947916   /* 9001<<16 | 0x8000 | 100<<8 | 12 */
#define S_rmp400_stdGenoM_BAD_POSTER_TYPE            589947917   /* 9001<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define RMP400_H2_ERR_MSGS {\
    {"TRACKING_ON", 1}, \
    {"BAD_CMD_PARAMETERS", 2}, \
    {"CANNOT_WRITE_FILE", 3},\
    {"CANNOT_OPEN_FILE", 4},\
    {"CANNOT_READ_POSTER", 5},\
    {"GYRO_ERROR", 6},\
    {"CMD_STOP_TRACK", 7},\
    {"POSTER_NOT_FOUND", 8},\
    {"JOYSTICK_ERROR", 9},\
    {"RMP_LIB_ERROR", 10},\
    {"BAD_REF", 11},\
    {"EMERGENCY_ERROR", 12},\
    {"MOTORS_OFF", 13},\
    {"READ_TASK_ERROR", 14},\
    {"RMPLIB_ERROR", 15},\
    {"EMERGENCY_STOP", 16},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int rmp400RecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
