/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RMP400_PRINT_H
#define RMP400_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/rmp400PosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_RMP400_STATUSGENERIC_POSTER_STR ( buf_t buf, struct RMP400_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_STATUS_POSTER_STR ( buf_t buf, struct RMP400_STATUS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_REF_POSTER_STR ( buf_t buf, struct RMP400_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_ODO_POSTER_STR ( buf_t buf, struct RMP400_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_MEPOS_POSTER_STR ( buf_t buf, struct RMP400_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_STR ( buf_t buf, struct RMP400_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_MAX_ACCEL ( buf_t buf, struct RMP400_MAX_ACCEL *x, int nDim, int *dims);
void buf_add_struct_RMP400_GYRO_ASSERV ( buf_t buf, struct RMP400_GYRO_ASSERV *x, int nDim, int *dims);
void buf_add_struct_RMP400_GYRO ( buf_t buf, struct RMP400_GYRO *x, int nDim, int *dims);
void buf_add_struct_RMP400_GYRO_PARAMS ( buf_t buf, struct RMP400_GYRO_PARAMS *x, int nDim, int *dims);
void buf_add_enum_RMP400_GYRO_MODE ( buf_t buf, enum RMP400_GYRO_MODE *x, int nDim, int *dims);
void buf_add_enum_GYRO_TYPE ( buf_t buf, enum GYRO_TYPE *x, int nDim, int *dims);
void buf_add_struct_RMP400_ODOMETRY_METHOD ( buf_t buf, struct RMP400_ODOMETRY_METHOD *x, int nDim, int *dims);
void buf_add_enum_RMP400_ODOMETRY_MODE ( buf_t buf, enum RMP400_ODOMETRY_MODE *x, int nDim, int *dims);
void buf_add_struct_RMP400_CART_3DCONFIG ( buf_t buf, struct RMP400_CART_3DCONFIG *x, int nDim, int *dims);
void buf_add_struct_RMP400_CART_3DSTATE ( buf_t buf, struct RMP400_CART_3DSTATE *x, int nDim, int *dims);
void buf_add_struct_RMP400_TRACK_PARAMS ( buf_t buf, struct RMP400_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_struct_RMP400_VAR_PARAMS ( buf_t buf, struct RMP400_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_struct_RMP400_KINEMATICS_STR ( buf_t buf, struct RMP400_KINEMATICS_STR *x, int nDim, int *dims);
void buf_add_struct_RMP_STATUS_STR ( buf_t buf, struct RMP_STATUS_STR *x, int nDim, int *dims);
void buf_add_enum_RMP_MODEL ( buf_t buf, enum RMP_MODEL *x, int nDim, int *dims);
void buf_add_struct_RMP400_STATUS_STR ( buf_t buf, struct RMP400_STATUS_STR *x, int nDim, int *dims);
void buf_add_struct_RMP400_DATA_STR ( buf_t buf, struct RMP400_DATA_STR *x, int nDim, int *dims);
void buf_add_enum_RMP400_MODE ( buf_t buf, enum RMP400_MODE *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_RMP400_MODE ( buf_t buf, RMP400_MODE *x, int nDim, int *dims);
void buf_add_RMP400_DATA_STR ( buf_t buf, RMP400_DATA_STR *x, int nDim, int *dims);
void buf_add_RMP400_STATUS_STR ( buf_t buf, RMP400_STATUS_STR *x, int nDim, int *dims);
void buf_add_RMP_MODEL ( buf_t buf, RMP_MODEL *x, int nDim, int *dims);
void buf_add_RMP_STATUS_STR ( buf_t buf, RMP_STATUS_STR *x, int nDim, int *dims);
void buf_add_RMP400_KINEMATICS_STR ( buf_t buf, RMP400_KINEMATICS_STR *x, int nDim, int *dims);
void buf_add_RMP400_VAR_PARAMS ( buf_t buf, RMP400_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_RMP400_TRACK_PARAMS ( buf_t buf, RMP400_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_RMP400_CART_3DSTATE ( buf_t buf, RMP400_CART_3DSTATE *x, int nDim, int *dims);
void buf_add_RMP400_CART_3DCONFIG ( buf_t buf, RMP400_CART_3DCONFIG *x, int nDim, int *dims);
void buf_add_RMP400_ODOMETRY_MODE ( buf_t buf, RMP400_ODOMETRY_MODE *x, int nDim, int *dims);
void buf_add_RMP400_ODOMETRY_METHOD ( buf_t buf, RMP400_ODOMETRY_METHOD *x, int nDim, int *dims);
void buf_add_GYRO_TYPE ( buf_t buf, GYRO_TYPE *x, int nDim, int *dims);
void buf_add_RMP400_GYRO_MODE ( buf_t buf, RMP400_GYRO_MODE *x, int nDim, int *dims);
void buf_add_RMP400_GYRO_PARAMS ( buf_t buf, RMP400_GYRO_PARAMS *x, int nDim, int *dims);
void buf_add_RMP400_GYRO ( buf_t buf, RMP400_GYRO *x, int nDim, int *dims);
void buf_add_RMP400_GYRO_ASSERV ( buf_t buf, RMP400_GYRO_ASSERV *x, int nDim, int *dims);
void buf_add_RMP400_MAX_ACCEL ( buf_t buf, RMP400_MAX_ACCEL *x, int nDim, int *dims);
void buf_add_RMP400_STR ( buf_t buf, RMP400_STR *x, int nDim, int *dims);
void buf_add_RMP400_MEPOS_POSTER_STR ( buf_t buf, RMP400_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_RMP400_ODO_POSTER_STR ( buf_t buf, RMP400_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_RMP400_REF_POSTER_STR ( buf_t buf, RMP400_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_RMP400_STATUS_POSTER_STR ( buf_t buf, RMP400_STATUS_POSTER_STR *x, int nDim, int *dims);
void buf_add_RMP400_STATUSGENERIC_POSTER_STR ( buf_t buf, RMP400_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* RMP400_TCLSERV_CLIENT_ENCODE_H */

